%global pypi_name os-testr
 
%bcond_with with_doc
 
Summary:        A testr wrapper to provide functionality for OpenStack projects
Name:           python-%{pypi_name}
Version:        3.0.0
Release:        4%{?dist}
License:        ASL 2.0
URL:            http://git.openstack.org/cgit/openstack/%{pypi_name}
Source0:        https://tarballs.openstack.org/os-testr/os-testr-%{version}.tar.gz
 
BuildRequires:  python3-devel python3-pbr python3-setuptools
BuildRequires:  git-core

BuildArch:      noarch
 
%description
This package provides a testr wrapper that uses subunit-trace for output and builds some helpful 
extra functionality around testr.
 
%package -n python3-%{pypi_name}
Summary: %summary

Requires:       python3-pbr python3-subunit
Requires:       python3-stestr python3-testtools
 
%description -n python3-%{pypi_name}
This package provides a testr wrapper that uses subunit-trace for output and builds some helpful 
extra functionality around testr.
 
%if 0%{?with_doc}
%package -n python-%{pypi_name}-doc
Summary: Documentation for ostestr module
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinxcontrib-rsvgconverter
BuildRequires:  python3-openstackdocstheme
 
%description -n python-%{pypi_name}-doc
Documentation for ostestr module
%endif
 
%prep
%autosetup -n %{pypi_name}-%{version} -S git

rm -rf *requirements.txt
 
%build
%{py3_build}
 
%if 0%{?with_doc}
sphinx-build-3 -W -b html doc/source doc/build/html
rm -rf doc/build/html/.{doctrees,buildinfo}
%endif
 
%install
%{py3_install}
for file in %{buildroot}%{python3_sitelib}/os_testr/{subunit_trace,subunit2html}.py; do
    chmod a+x $file
done
 
# fix ambiguous shebangs 
%py3_shebang_fix %{buildroot}%{python3_sitelib}/os_testr/
 
%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{_bindir}/generate-subunit
%{_bindir}/subunit-trace
%{_bindir}/subunit2html
%{python3_sitelib}/os_testr
%{python3_sitelib}/os_testr-*.egg-info
 
%if 0%{?with_doc}
%files -n python-%{pypi_name}-doc
%license LICENSE
%doc doc/build/html
%endif
 
%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.0-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 13 2023 Wang Guodong <gordonwwang@tencent.com> - 3.0.0-1
- initial build
 